OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions | Data Fields
ConfigS Struct Reference

## Public Member Functions
bool | setLanguage (const LangTypeT lang)
bool | fortran () const
void | setCompilerCmd (const std::string &cmd)
void | addCompilerArg (const std::string &arg)
void | addCompilerLib (const std::string &lib)
void | addModSrcFile (const std::string &file)
void | setOpariTabFile (const std::string &file)
void | setOpariRcFile (const std::string &file)
void | addOpariArg (const std::string &arg)
void | addTauinstArg (const std::string &arg)
void | addTauinstParseArg (const std::string &arg)
void | addPrepFlag (const std::string &flag)
void | setUsesMpi (bool set, bool ovwrt=false)
void | setUsesThreads (bool set, bool ovwrt=false)
void | setUsesOpenMP (bool set, bool ovwrt=false)
bool | setInstAvail (const std::string &type)
bool | setInstType (const InstTypeT type)
bool | setInstType (const std::string &type)
InstTypeT | getInstType () const
std::string | getInstTypeName () const
bool | isInstAvail (const InstTypeT type) const

## Static Public Member Functions
static const std::string | DEFAULT_OPARI_RCFILE ()
static const std::pair < std::string, std::string > | DEFAULT_OPARI_TABFILE ()

## Data Fields
LangTypeT | lang_type
InstTypeT | inst_type
int | inst_avail
int | showme_flags
bool | be_verbose
bool | cleanup
bool | comp_only
bool | outfile_given
bool | uses_mpi
bool | uses_threads
bool | uses_openmp
std::string | vt_version
std::string | vt_incdir
std::string | vt_libdir
std::string | vt_seqlib
std::string | vt_mpilib
std::string | vt_mtlib
std::string | vt_hyblib
std::string | vt_pomplib
std::string | vt_dynattlib
std::string | prep_cmd
std::string | prep_flags
bool | preprocess
std::string | comp_cmdenv
std::string | comp_flagsenv
std::string | comp_cmd
std::string | comp_args
std::string | comp_flags
std::string | comp_ldflags
std::string | comp_fdflag
std::string | comp_instflags
std::string | comp_libs
std::string | opari_cmd
std::string | opari_args
std::string | opari_rcfile
std::pair< std::string, std::string > | opari_tabfile
std::string | opari_tab_compcmd
std::string | opari_tab_compflags
bool | opari_keep_rcfile
std::string | compinst_flags
std::string | dyninst_flags
std::string | tauinst_cmd
std::string | tauinst_args
std::string | tauinst_parsecmd
std::string | tauinst_parseargs
std::vector< std::pair < std::string, std::string > > | mod_files

The documentation for this struct was generated from the following file:

- ompi/contrib/vt/vt/tools/vtwrapper/vt_wrapper.cc